Contact fields
List contact fields
Returns all contact field definitions for the current organization.
Required scopes: org:settings:read
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Query Parameters
includeArchived?boolean
Default
falseResponse Body
*/*
curl -X GET "https://api.stemp.app/api/v1/contact-fields"[
{
"id": "string",
"object": "string",
"internalName": "string",
"label": "string",
"dataType": "STRING",
"fieldType": "TEXT",
"isSystem": true,
"isHidden": true,
"isArchived": true,
"displayOrder": 0,
"groupName": "string",
"options": [
{
"label": "string",
"value": "string",
"displayOrder": 0
}
],
"validationRules": {
"minLength": 0,
"maxLength": 0,
"pattern": "string",
"min": 0.1,
"max": 0.1
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"archived": true,
"hidden": true
}
]